package com.ozs.mdm.mapper;

import com.ozs.mdm.dto.MdmInfoDataSourceInterfaceProjectDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InterfaceDataProjectMapper {

    List<MdmInfoDataSourceInterfaceProjectDTO> listInterfaceProject(@Param("projectName") String projectName);

    void addInterfaceProject(MdmInfoDataSourceInterfaceProjectDTO mdmInfoDataSourceInterfaceProjectDTO);

    void updateInterfaceProjectById(MdmInfoDataSourceInterfaceProjectDTO mdmInfoDataSourceInterfaceProjectDTO);

    void deleteInterfaceProject(@Param("projectId") String projectId);

    MdmInfoDataSourceInterfaceProjectDTO getInterfaceProjectById(@Param("projectId") String projectId);
}
